VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IRecordingScreenSettings Interface Reference

The IRecordingScreenSettings interface represents recording settings of a single virtual screen. More...

Inheritance diagram for IRecordingScreenSettings:

## Public Member Functions
void | isFeatureEnabled (in RecordingFeature feature, [retval] out boolean enabled)
| Returns whether a particular recording feature is enabled for this screen or not.

## Public Attributes
readonly attribute unsigned long | id
| This attribute contains the screen ID bound to these settings.
attribute boolean | enabled
| This setting determines whether this screen is enabled while recording.
attribute RecordingFeature[] | features
| This setting determines all enabled recording features for this screen.
attribute RecordingDestination | destination
| This setting determines the recording destination for this screen.
attribute wstring | filename
| This setting determines the filename VirtualBox uses to save the recorded content.
attribute unsigned long | maxTime
| This setting defines the maximum amount of time in seconds to record.
attribute unsigned long | maxFileSize
| This setting determines the maximal number of recording file size in MB.
attribute wstring | options
| This setting contains any additional recording options required in comma-separated key=value format, which are currently not represented via own attribtues.
attribute RecordingAudioCodec | audioCodec
| Determines the audio codec to use for encoding the recorded audio data.
attribute RecordingRateControlMode | audioRateControlMode
| Determines the audio rate control mode.
attribute RecordingCodecDeadline | audioDeadline
| Determines the audio deadline to use.
attribute unsigned long | audioHz
| Determines the Hertz (Hz) rate of the recorded audio data.
attribute unsigned long | audioBits
| Determines the bits per sample of the recorded audio data.
attribute unsigned long | audioChannels
| Determines the audio channels of the recorded audio data.
attribute RecordingVideoCodec | videoCodec
| Determines the video codec to use for encoding the recorded video data.
attribute RecordingCodecDeadline | videoDeadline
| Determines the video deadline to use.
attribute unsigned long | videoWidth
| Determines the horizontal resolution of the recorded video data.
attribute unsigned long | videoHeight
| Determines the vertical resolution of the recorded video data.
attribute unsigned long | videoRate
| Determines the bitrate in kilobits per second.
attribute RecordingRateControlMode | videoRateControlMode
| Determines the video rate control mode.
attribute unsigned long | videoFPS
| Determines the maximum number of frames per second (FPS).
attribute RecordingVideoScalingMode | videoScalingMode
| Determines the video scaling mode to use.

## Detailed Description

The IRecordingScreenSettings interface represents recording settings of a single virtual screen.

This is used only in the IRecordingSettings interface.

Interface ID:
  `{C1844087-EC6B-488D-AFBB-C90F6452A04B}`

## Member Function Documentation

## ◆ isFeatureEnabled()

void IRecordingScreenSettings::isFeatureEnabled | ( | in RecordingFeature | feature,
|  | [retval] out boolean | enabled
| ) |  |

Returns whether a particular recording feature is enabled for this screen or not.

Parameters

  feature | Feature to check for.
  enabled | `true` if the feature is enabled, `false` if not.

## Member Data Documentation

## ◆ id

readonly attribute unsigned long IRecordingScreenSettings::id

This attribute contains the screen ID bound to these settings.

## ◆ enabled

attribute boolean IRecordingScreenSettings::enabled

This setting determines whether this screen is enabled while recording.

## ◆ features

attribute RecordingFeature [] IRecordingScreenSettings::features

This setting determines all enabled recording features for this screen.

## ◆ destination

attribute RecordingDestination IRecordingScreenSettings::destination

This setting determines the recording destination for this screen.

## ◆ filename

attribute wstring IRecordingScreenSettings::filename

This setting determines the filename VirtualBox uses to save the recorded content.

This setting cannot be changed while video recording is enabled.

Note
  When setting this attribute, the specified path has to be absolute (full path). When reading this attribute, a full path is always returned.

## ◆ maxTime

attribute unsigned long IRecordingScreenSettings::maxTime

This setting defines the maximum amount of time in seconds to record.

Recording will stop as soon as the defined time interval has elapsed. If this value is zero, recording will not be limited by time. This setting cannot be changed while recording is enabled.

## ◆ maxFileSize

attribute unsigned long IRecordingScreenSettings::maxFileSize

This setting determines the maximal number of recording file size in MB.

Recording will stop as soon as the file size has reached the defined value. If this value is zero, recording will not be limited by the file size. This setting cannot be changed while recording is enabled.

## ◆ options

attribute wstring IRecordingScreenSettings::options

This setting contains any additional recording options required in comma-separated key=value format, which are currently not represented via own attribtues.

Consider these options as experimental and mostly for codec-specific settings, and are subject to change. This setting cannot be changed while recording is enabled.

## ◆ audioCodec

attribute RecordingAudioCodec IRecordingScreenSettings::audioCodec

Determines the audio codec to use for encoding the recorded audio data.

This setting cannot be changed while recording is enabled.

Note
  Only the Opus codec is supported currently.

## ◆ audioRateControlMode

attribute RecordingRateControlMode IRecordingScreenSettings::audioRateControlMode

Determines the audio rate control mode.

This setting cannot be changed while recording is enabled.

## ◆ audioDeadline

attribute RecordingCodecDeadline IRecordingScreenSettings::audioDeadline

Determines the audio deadline to use.

This setting cannot be changed while recording is enabled.

## ◆ audioHz

attribute unsigned long IRecordingScreenSettings::audioHz

Determines the Hertz (Hz) rate of the recorded audio data.

This setting cannot be changed while recording is enabled.

## ◆ audioBits

attribute unsigned long IRecordingScreenSettings::audioBits

Determines the bits per sample of the recorded audio data.

This setting cannot be changed while recording is enabled.

## ◆ audioChannels

attribute unsigned long IRecordingScreenSettings::audioChannels

Determines the audio channels of the recorded audio data.

Specifiy 2 for stereo or 1 for mono. More than stereo (2) channels are not supported at the moment. This setting cannot be changed while recording is enabled.

## ◆ videoCodec

attribute RecordingVideoCodec IRecordingScreenSettings::videoCodec

Determines the video codec to use for encoding the recorded video data.

This setting cannot be changed while recording is enabled.

Note
  Only the VP8 codec is supported currently.

## ◆ videoDeadline

attribute RecordingCodecDeadline IRecordingScreenSettings::videoDeadline

Determines the video deadline to use.

This setting cannot be changed while recording is enabled.

## ◆ videoWidth

attribute unsigned long IRecordingScreenSettings::videoWidth

Determines the horizontal resolution of the recorded video data.

This setting cannot be changed while recording is enabled.

## ◆ videoHeight

attribute unsigned long IRecordingScreenSettings::videoHeight

Determines the vertical resolution of the recorded video data.

This setting cannot be changed while recording is enabled.

## ◆ videoRate

attribute unsigned long IRecordingScreenSettings::videoRate

Determines the bitrate in kilobits per second.

Increasing this value makes the video look better for the cost of an increased file size or transfer rate. This setting cannot be changed while recording is enabled.

## ◆ videoRateControlMode

attribute RecordingRateControlMode IRecordingScreenSettings::videoRateControlMode

Determines the video rate control mode.

This setting cannot be changed while recording is enabled.

## ◆ videoFPS

attribute unsigned long IRecordingScreenSettings::videoFPS

Determines the maximum number of frames per second (FPS).

Frames with a higher frequency will be skipped. Reducing this value increases the number of skipped frames and reduces the file size or transfer rate. This setting cannot be changed while recording is enabled.

## ◆ videoScalingMode

attribute RecordingVideoScalingMode IRecordingScreenSettings::videoScalingMode

Determines the video scaling mode to use.

This setting cannot be changed while recording is enabled.